Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class AbstractJettyMojo

    java.lang.Object
      AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo

Direct Known Subclasses:
  AbstractJetty6Mojo, AbstractJettyRunMojo

    public abstract class AbstractJettyMojo

extends AbstractMojo

AbstractJettyMojo

Field Summary
`String` | `PORT_SYSPROPERTY`

Constructor Summary
`AbstractJettyMojo()`

Method Summary
`abstract void` | `applyJettyXml()`
`abstract void` | `checkPomConfiguration()`
`abstract void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`abstract JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object
`void` | `execute()`
`File` | `findJettyWebXmlFile(File webInfDir)` Try and find a jetty-web.xml file, using some historical naming conventions if necessary.
`abstract void` | `finishConfigurationBeforeStart()`
`abstract Object[]` | `getConfiguredConnectors()`
`abstract Object` | `getConfiguredRequestLog()`
`abstract Object[]` | `getConfiguredUserRealms()`
`String` | `getContextPath()`
`String` | `getJettyXmlFileName()`
`File` | `getOverrideWebXml()`
`MavenProject` | `getProject()`
`int` | `getScanIntervalSeconds()`
`ArrayList` | `getScanList()`
`ArrayList` | `getScannerListeners()`
`JettyPluginServer` | `getServer()`
`SystemProperty[]` | `getSystemProperties()`
`File` | `getTmpDirectory()`
`JettyPluginWebApplication` | `getWebApplication()`
`File` | `getWebDefaultXml()`
`void` | `setScanList(ArrayList list)`
`void` | `setScannerListeners(ArrayList listeners)`
`void` | `setServer(JettyPluginServer server)`
`void` | `setWebApplication(JettyPluginWebApplication webapp)`
`void` | `startJetty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT_SYSPROPERTY

    public String PORT_SYSPROPERTY

Constructor Detail

### AbstractJettyMojo

    public AbstractJettyMojo()

Method Detail

### getConfiguredUserRealms

    public abstract Object[] getConfiguredUserRealms()

  Returns:
    Returns the realms configured in the pom

### getConfiguredConnectors

    public abstract Object[] getConfiguredConnectors()

  Returns:
    Returns the connectors configured in the pom

### getConfiguredRequestLog

    public abstract Object getConfiguredRequestLog()

### checkPomConfiguration

    public abstract void checkPomConfiguration()
                                        throws MojoExecutionException

  Throws:
    `MojoExecutionException`

### configureScanner

    public abstract void configureScanner()
                                   throws MojoExecutionException

  Throws:
    `MojoExecutionException`

### applyJettyXml

    public abstract void applyJettyXml()
                                throws Exception

  Throws:
    `Exception`

### createServer

    public abstract JettyPluginServer createServer()
                                            throws Exception

  create a proxy that wraps a particular jetty version Server object

  Returns:
  Throws:
    `Exception`

### finishConfigurationBeforeStart

    public abstract void finishConfigurationBeforeStart()
                                                 throws Exception

  Throws:
    `Exception`

### getProject

    public MavenProject getProject()

### getTmpDirectory

    public File getTmpDirectory()

### getWebDefaultXml

    public File getWebDefaultXml()

### getOverrideWebXml

    public File getOverrideWebXml()

### getContextPath

    public String getContextPath()

  Returns:
    Returns the contextPath.

### getScanIntervalSeconds

    public int getScanIntervalSeconds()

  Returns:
    Returns the scanIntervalSeconds.

### getSystemProperties

    public SystemProperty[] getSystemProperties()

### getJettyXmlFileName

    public String getJettyXmlFileName()

### getWebApplication

    public JettyPluginWebApplication getWebApplication()

### setWebApplication

    public void setWebApplication(JettyPluginWebApplication webapp)

### getServer

    public JettyPluginServer getServer()

### setServer

    public void setServer(JettyPluginServer server)

### setScanList

    public void setScanList(ArrayList list)

### getScanList

    public ArrayList getScanList()

### setScannerListeners

    public void setScannerListeners(ArrayList listeners)

### getScannerListeners

    public ArrayList getScannerListeners()

### execute

    public void execute()
                 throws MojoExecutionException,
                        MojoFailureException

  Throws:
    `MojoExecutionException`
    `MojoFailureException`

### startJetty

    public void startJetty()
                    throws MojoExecutionException

  Throws:
    `MojoExecutionException`

### configureWebApplication

    public void configureWebApplication()
                                 throws Exception

  Subclasses should invoke this to setup basic info on the webapp

  Throws:
    `MojoExecutionException`
    `Exception`

### findJettyWebXmlFile

    public File findJettyWebXmlFile(File webInfDir)

  Try and find a jetty-web.xml file, using some historical naming conventions if necessary.

  Parameters:
    `webInfDir` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.